package org.jeecg.modules.adweb.seo.service;

import org.apache.poi.ss.usermodel.Sheet;
import org.jeecg.modules.adweb.seo.entity.ComprehensiveStatistics;
import org.jeecg.modules.adweb.seo.entity.SeoKeywords;
import org.jeecg.modules.adweb.seo.vo.SeoRankInfoVO;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * @author Zenas
 */
public interface ISearchKeywordsService {

    ComprehensiveStatistics getComprehensiveInfo(String siteCode, String historyId) throws ParseException;

    Map getRankInfo(String siteCode, String historyId) throws ParseException;

    List<SeoRankInfoVO> getSeoRankInfo(String siteCode, String historyId) throws ParseException;

    void addRankInfoByIntervalTimeByType(List<SeoKeywords> keywordList, Integer keywordType, String siteCode, String historyId, List<String> dateList) throws Exception;

    void setSizeColumn(Sheet sheet, int size);
}
